[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.Visible

Allows the control, and all of its children, to be displayed or hidden.

## Declaration

Source position: controls.pp line 1817

`public property TControl.Visible : Boolean read FVisible write SetVisible stored IsVisibleStored default True;`

## Description

Visible is set to True by Show, or to False by Hide. Calling these methods is equivalent to setting the Visible property.

Remark: | Reading the Visible property does not take into account control's parent visibility. Use the IsVisible method to get the real visibility.

## See also

TControl.IsVisible |  | Gets the effective visibility for the control and all of its Parent controls.
TControl.Show |  | Makes the control visible by setting Visible to True.
TControl.Hide |  | Hides the control by setting the Visible property to False.